org.eclipse.eef.properties.ui.api

## Class AbstractEEFTabDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFTabDescriptor

All Implemented Interfaces:
  java.lang.Cloneable, IEEFTabDescriptor, IEEFTabItem

Direct Known Subclasses:
  EEFTabDescriptor, LegacyPropertyTabItemDescriptor

    public abstract class AbstractEEFTabDescriptor
    extends java.lang.Object
    implements IEEFTabDescriptor, java.lang.Cloneable

An abstract implementation of a tab descriptor for the tabbed property view.

Since:
  1.6.0

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFTabDescriptor

`TOP`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFTabDescriptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()`
`EEFTabContents` `createTab()` Instantiate this tab's sections.
`boolean` `equals(java.lang.Object object)`
`java.lang.String` `getAfterTab()` Get the identifier of the tab after which this tab should be displayed.
`org.eclipse.swt.graphics.Image` `getImage()` Get the icon image for the tab.
`java.util.List<IEEFSectionDescriptor>` `getSectionDescriptors()` Get the list of section descriptors for the tab.
`java.lang.String` `getText()` Get the text label for the tab.
`int` `hashCode()`
`boolean` `isIndented()` Determine if this tab is indented.
`boolean` `isSelected()` Determine if this tab is selected.
`void` `setSectionDescriptors(java.util.List<IEEFSectionDescriptor> sectionDescriptors)` Set the list of section descriptors for the tab.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.properties.ui.api.IEEFTabDescriptor

`getCategory, getId, getLabel`

### Constructor Detail

#### AbstractEEFTabDescriptor

    public AbstractEEFTabDescriptor()

### Method Detail

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`
See Also:
  `Object.clone()`

#### createTab

    public EEFTabContents createTab()

Instantiate this tab's sections.

Specified by:
  `createTab` in interface `IEEFTabDescriptor`
Returns:
  The tab contents for this section.
See Also:
  `IEEFTabDescriptor.createTab()`

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `Object.equals(java.lang.Object)`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
See Also:
  `Object.hashCode()`

#### getAfterTab

    public java.lang.String getAfterTab()

Get the identifier of the tab after which this tab should be displayed. When two or more tabs belong to the same category, they are sorted by the after tab values.

Specified by:
  `getAfterTab` in interface `IEEFTabDescriptor`
Returns:
  the identifier of the tab.
See Also:
  `IEEFTabDescriptor.getAfterTab()`

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Get the icon image for the tab.

Specified by:
  `getImage` in interface `IEEFTabItem`
Returns:
  the icon image for the tab.
See Also:
  `IEEFTabItem.getImage()`

#### getSectionDescriptors

    public java.util.List<IEEFSectionDescriptor> getSectionDescriptors()

Get the list of section descriptors for the tab.

Specified by:
  `getSectionDescriptors` in interface `IEEFTabDescriptor`
Returns:
  the list of section descriptors for the tab.
See Also:
  `IEEFTabDescriptor.getSectionDescriptors()`

#### getText

    public java.lang.String getText()

Get the text label for the tab.

Specified by:
  `getText` in interface `IEEFTabItem`
Returns:
  the text label for the tab.
See Also:
  `IEEFTabItem.getText()`

#### isIndented

    public boolean isIndented()

Determine if this tab is indented.

Specified by:
  `isIndented` in interface `IEEFTabItem`
Returns:
  `true` if this tab is indented.
See Also:
  `IEEFTabItem.isIndented()`

#### isSelected

    public boolean isSelected()

Determine if this tab is selected.

Specified by:
  `isSelected` in interface `IEEFTabItem`
Returns:
  `true` if this tab is selected.
See Also:
  `IEEFTabItem.isSelected()`

#### setSectionDescriptors

    public void setSectionDescriptors(java.util.List<IEEFSectionDescriptor> sectionDescriptors)

Set the list of section descriptors for the tab.

Parameters:
  `sectionDescriptors` - the list of section descriptors for the tab.